Bug 187011 - amarok wish: albums applet should scroll to the current album
Summary: amarok wish: albums applet should scroll to the current album
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Albums (show other bugs)
Version: 2.3-GIT
Platform: unspecified Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-12 23:03 UTC by missive
Modified: 2010-10-24 13:18 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description missive 2009-03-12 23:03:08 UTC
Version:           2.0-SVN (using 4.2.65 (KDE 4.2.65 (KDE 4.3 >= 20090226)), compiled sources)
Compiler:          gcc
OS:                Linux (i686) release 2.6.27-7-generic

It would be nice if the album applet scrolled down to the current album automatically. The way it is now, the current album unfolds, showing the other tracks on the album of the track that is playing, but they cannot be seen without scrolling.
Comment 1 Myriam Schweingruber 2010-01-08 20:36:58 UTC
Changed version
Comment 2 Rick W. Chen 2010-10-24 07:05:45 UTC
commit d5b6260eb86f679c78754da8e34976651ea66be6
branch master
Merge: d5a209a 00a9397
Author: Rick W. Chen <stuffcorpse@archlinux.us>
Date:   Sun Oct 24 18:02:11 2010 +1300

    Merge branch 'cv-improvements'
    
    This merge includes several improvements and bug fixes to some context
    view applets. See ChangeLog for more details.
    
    BUG:187011
    BUG:249488
    BUG:215171
    BUG:220617
    CCBUG:231001

diff --cc ChangeLog
index 2455f73,9941683..7714f4a
--- a/ChangeLog
+++ b/ChangeLog
@@@ -5,9 -5,6 +5,13 @@@ Amarok ChangeLo
  
  VERSION 2.4-Beta 1
    FEATURES:
++    * Added support for all Wikipedia languages. (BR 220617)
++    * Added incremental search in the Wikipedia applet (press
++      '/' or global search key when in focus).
++    * Added "Favorite Venues" to the upcoming events applet.
 +    * Read MusicBrainz IDs of MP4 files during scanning.
 +    * Ability to hide and show the menu bar. Patch by 
 +      Valentyn Pavliuchenko <valentyn.pavliuchenko@gmail.com>.
      * Size of OSD font is now configurable. (BR 195186)
      * Musicbrainz-based mass tagging UI by Sergey Ivanov.
      * New easy to use table-based UI for Ampache server configuration. (BR 200703)
@@@ -20,9 -17,7 +24,20 @@@
        to music provided by a running local Playdar service.
  
    CHANGES:
 -    * Debugging mode (--debug) now also prints the current thread ID.
++    * Show a progress bar while loading pages in the Wikipedia applet.
++    * Added option to right-align "year" in the albums applet.
++    * Improved alignment of tracks in the albums applet.
++    * Scroll to the current album and make its tracks visible in the albums
++      applet. (BR 187011)
++    * Added ability to expand/collapse/drag disc items in the albums applet.
++      (BR 249488)
++    * Improved appearance of similar artist, upcoming events, and Wikipedia
++      applets.
++    * Improved presentation of suggested lyrics (currently only 3rd party
++      scripts use).
 +    * Use QTooltip for playlist tooltips
 +    * Changed playlist delegate margins and inline editor formating.
 +    * Add "Added This Hour" filter preset to the collection brower widget.
      * Bumped KDE dependency to version 4.4., and Qt dependency to 4.6.
      * Print message when a file can't be copied to a media player.
        Patch by Sergey Ivanov <123kash@gmail.com>. (BR 203820)
@@@ -31,6 -26,6 +46,8 @@@
        pressing SHIFT while clicking the action will bypass trash.
  
    BUGFIXES:
++    * Fixed Wikipedia applet header layout issues. (BR 215171)
++    * Fixed truncated heading in albums applet. (BR 231001)
      * Playlist sorting breadcrumb items have been untranslatable.
        Patch by Alexander Potashev <aspotashev@gmail.com>. (BR 189750)
      * Dynamic Playlist criteria were not being saved properly. (BR 243562)